/* Includes ------------------------------------------------------------------*/
#include <stm32f0xx.h>
#include <stdint.h>
#include "stm32f0xx_conf.h"
#include "stm32f0_discovery.h"
#include <stdio.h>

/* Private function prototypes -----------------------------------------------*/
void init_Clocks(void);
void init_GPIO(void);

int main(void)
{
	init_Clocks();
	init_GPIO();
	while(1) {
		if (GPIO_ReadInputDataBit(GPIOA,GPIO_Pin_0)) {  //if user's button pushed
			GPIO_SetBits(GPIOC,GPIO_Pin_8); //Turn GPIOC Pin 8 On
			GPIO_ResetBits(GPIOC,GPIO_Pin_9); //Turn GPIOC Pin 9 Off
		} else {
			GPIO_ResetBits(GPIOC,GPIO_Pin_8); //Turn GPIOC Pin 8 Off
			GPIO_SetBits(GPIOC,GPIO_Pin_9); //Turn GPIOC Pin 9 On
		}
	}
}

void init_Clocks(void)
{
	/* GPIOA Periph clock enable */
	RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOA | RCC_AHBPeriph_GPIOC, ENABLE);
}

void init_GPIO(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;
	/* Configure PA0 in input pushpull mode */
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_Init(GPIOA, &GPIO_InitStructure);
	/* Configure PC8 and PC9 in output pushpull mode */
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_8 | GPIO_Pin_9;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_Init(GPIOC, &GPIO_InitStructure);
}
